KDE 4.9 PyKDE API Reference

- KDE's Python API

# KFileSharePropsPlugin Class Reference

`from PyKDE4.kio import *`

Inherits: KPropertiesDialogPlugin → QObject

## Detailed Description

This plugin provides a page to KProperiessDialog, showing the "file sharing" options

Author:
  David Faure <faure@kde.org>

## Methods

| __init__ (self, KPropertiesDialog _props)
| applyChanges (self)
QWidget | page (self)
| slotConfigureFileSharing (self)
| slotConfigureFileSharingDone (self)

## Static Methods

bool | supports (KFileItemList items)

## Method Documentation

__init__ | ( | self, |
|  | KPropertiesDialog | _props
| ) |  |  |

applyChanges | ( |  | self ) |

Apply all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first.

QWidget page | ( |  | self ) |

slotConfigureFileSharing | ( |  | self ) |

slotConfigureFileSharingDone | ( |  | self ) |

## Static Method Documentation

bool supports | ( | KFileItemList | items
| ) |  |  |